// creator  : weidu.exe (version 23100)
// argument : _JEBADO.DLG
// game		 : .
// source	 : ./override/_JEBADO.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_JEBADO~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #1 /* Triggers after states #: 8 even though they appear after this state */
~ReactionGT(LastTalkedToBy,NEUTRAL_UPPER)
NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #85527 /* ~I'm sorry but we've no fish today.  Perhaps in... less troubling times.~ */
  IF ~~ THEN DO ~ActionOverride("sonner",SetNumTimesTalkedTo(1))
ActionOverride("telman",SetNumTimesTalkedTo(1))
~ EXTERN ~_SONNER~ 1
END

IF WEIGHT #2 /* Triggers after states #: 8 even though they appear after this state */
~ReactionLT(LastTalkedToBy,FRIENDLY_LOWER)
ReactionGT(LastTalkedToBy,HOSTILE_UPPER)
NumberOfTimesTalkedTo(0)
~ THEN BEGIN 1 // from:
  SAY #85588 /* ~Can't you see I've troubles on my mind.  Leave me and mine alone.~ */
  IF ~~ THEN DO ~ActionOverride("sonner",SetNumTimesTalkedTo(1))
ActionOverride("telman",SetNumTimesTalkedTo(1))
~ EXTERN ~_SONNER~ 2
END

IF WEIGHT #3 /* Triggers after states #: 8 even though they appear after this state */
~ReactionLT(LastTalkedToBy,NEUTRAL_LOWER)
NumberOfTimesTalkedTo(0)
~ THEN BEGIN 2 // from:
  SAY #85589 /* ~Not another step people!  I'll not be havin' strangers armed to the teeth near mah boat!~ */
  IF ~~ THEN DO ~ActionOverride("sonner",SetNumTimesTalkedTo(1))
ActionOverride("telman",SetNumTimesTalkedTo(1))
~ EXTERN ~_SONNER~ 3
END

IF ~~ THEN BEGIN 3 // from:
  SAY #85590 /* ~Oh yeah, the problem.  Sorry for my manner but we're... we're a poor folk not accustomed to trouble, and it's hard times now.  We can't but get a boat into the water before she's swamped by the rains.~ */
  IF ~~ THEN EXTERN ~_TELMAN~ 1
END

IF ~~ THEN BEGIN 4 // from: _GARRIJ:174.2 _GARRIJ:173.2 _GARRIJ:172.2
  SAY #85591 /* ~Bah!  They're naught but adventurer wannabees!~ */
  IF ~~ THEN EXTERN ~_SONNER~ 7
END

IF ~~ THEN BEGIN 5 // from:
  SAY #85592 /* ~Telman, WE ARE POOR, DAMMIT!~ */
  IF ~~ THEN EXTERN ~_SONNER~ 12
END

IF ~~ THEN BEGIN 6 // from:
  SAY #85593 /* ~That bitch priestess was taking tribute from us for years!  The price just kept climbing, and you can't sail without appeasing Umberlee!  The cleric of Talos in Baldur's Gate said...~ */
  IF ~~ THEN EXTERN ~_SONNER~ 14
END

IF ~~ THEN BEGIN 7 // from:
  SAY #85591 /* ~Bah!  They're naught but adventurer wannabees!~ */
  IF ~~ THEN DO ~ActionOverride("telman",EscapeArea())
ActionOverride("sonner",EscapeArea())
EscapeArea()
~ EXIT
END

IF WEIGHT #0 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 8 // from:
  SAY #85555 /* ~Lately, a young priestess of Umberlee has been causin' me and my friends a lot of trouble.  Seems she wants revenge against us for killing her mother.  Well, we had to.  A Talos priest promised his favor upon us if we did.  Caught between gods, we are.  You are as well.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 9 // from:
  SAY #74910 /* ~I'll box your ears if you step an inch closer!~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #4 ~Global("HelpJebadoh","GLOBAL",0)
~ THEN BEGIN 10 // from:
  SAY #85558 /* ~What do ya want?~ */
  IF ~~ THEN EXTERN ~_SONNER~ 9
END

IF WEIGHT #5 ~Global("HelpJebadoh","GLOBAL",1)
~ THEN BEGIN 11 // from:
  SAY #85594 /* ~You again?~ */
  IF ~~ THEN EXTERN ~_TELMAN~ 3
END
